/**
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.bpmn2bpel.components;

import java.util.List;
import org.ow2.orchestra.jaxb.bpmn.TFlowNode;


/**
 * Represent a sequence component
 *
 * @author Guillaume Porcher
 */
public class PickComponent extends AbstractComponent {

  private final List<TFlowNode> nodes;

  public PickComponent(final List<TFlowNode> nodes) {
    this.nodes = nodes;
  }

  /**
   * @return the sequenceNodes
   */
  public List<TFlowNode> getNodes() {
    return this.nodes;
  }


  @Override
  public String toString() {
    final StringBuilder sb = new StringBuilder();
    sb.append(this.getClass().getSimpleName());
    sb.append("[").append(this.getId()).append("]");
    sb.append(" (");
    for (final TFlowNode flowNode : this.nodes) {
      sb.append(flowNode.getId()).append(", ");
    }
    sb.delete(sb.length() - 2, sb.length());
    sb.append(")");
    return sb.toString();
  }
}
